%define version 0.0.14
%define release %mkrel 1

Name:		ggz-docs
Summary:	GGZ Gaming Zone Documents
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
Source0:	http://ftp.ggzgamingzone.org/pub/ggz/%{version}/%{name}-%{version}.tar.bz2
Patch1:		%{name}-0.0.9-infoentry.patch
URL:		http://ggzgamingzone.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	docbook-utils
BuildRequires:	openjade
BuildRequires:	lynx
BuildRequires:	texinfo
BuildRequires:	tetex-texi2html
BuildRequires:	docbook-utils-pdf
BuildRequires:	transfig
BuildRequires:	docbook-dtd31-sgml
Prereq:		/sbin/install-info

%description
Documents for the GGZ Gaming Zone.

%prep
%setup -q
%patch1 -p1 -b .direntry

%build
# (Abel) no problem for noarch package to not use macros
# in fact it fails to build with macros
./configure \
	--enable-guides \
	--enable-spec \
	--prefix=%{_prefix} \
	--infodir=%{_infodir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# move docs back to build dir
rm -rf ./package-docs
mv $RPM_BUILD_ROOT/%{_docdir}/ggz-docs package-docs

%post
%_install_info ggz-game-development-guide.info
%_install_info ggz-hosting-guide.info

%preun
%_remove_install_info ggz-game-development-guide.info
%_remove_install_info ggz-hosting-guide.info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc package-docs/*
%{_infodir}/ggz-game-development-guide.info.*
%{_infodir}/ggz-hosting-guide.info.*


%changelog
* Fri Feb 23 2007 Emmanuel Andry <eandry@mandriva.org> 0.0.14-1mdv2007.0
+ Revision: 125149
- buildrequires docbook-dtd31-sgml
- Buildrequires transfig
- New version 0.0.14
- drop patches 0 and 2
- %%mkrel
- Import ggz-docs



* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 0.0.9-2mdk
- Fix BuildRequires

* Sat Nov 27 2004 Abel Cheung <deaddog@mandrake.org> 0.0.9-1mdk
- New version
- P0: Fix docbook2html program name detection
- P1: Add info entry to .texi files
- P2: Fix game spec html file building
- Fix postin/un script
- Build guides/spec too

* Sat Sep  6 2003 Abel Cheung <deaddog@deaddog.org> 0.0.7-1mdk
- 0.0.7

* Mon Mar 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Fri Jan 19 2003 Andi Payn <payn@myrealbox.net>
- Initial specification file
